//+------------------------------------------------------------------+
//|                                                   MTF signal.mq4 |
//|                                                            Sehat |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Sehat"
#property link      "http://www.metaquotes.net"

#property indicator_chart_window

extern bool _email = false;
extern bool _alert = false;

double trix5=0;
double trix15=0;
double trix60=0;

bool trix5up = NULL;
bool trix15up = NULL;
bool trix60up = NULL;

bool alerted = NULL;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
   
   string sSubject="";
   string sText="";
//----


//Get the trix value for each timeframe
   trix5 = iCustom(NULL,5,"smSuper TRIX_v1",3,"averages",1,1,1,"input_price",0,"Signals",true,false,false,500,0,0);
   trix15 = iCustom(NULL,15,"smSuper TRIX_v1",3,"averages",1,1,1,"input_price",0,"Signals",true,false,false,500,0,0);
   trix60 = iCustom(NULL,60,"smSuper TRIX_v1",3,"averages",1,1,1,"input_price",0,"Signals",true,false,false,500,0,0);
   
//Set direction of trix for each timeframe   
   if (trix5 > 0) trix5up=true;
      else trix5up=false;
   if (trix15 > 0) trix15up=true;
      else trix15up=false;
   if (trix60 > 0) trix60up=true;
      else trix60up=false;
   
//ACTION START HERE

//Up signal is out
   if (trix5up && trix15up && trix60up) {
      if (!alerted) {
         sSubject = "Buy for " + Symbol();
         alerted = true;
         if (_alert)
            Alert("Buy for " + Symbol());
         if (_email)
            SendMail(sSubject,sText);
      }
   }
//Down signal is out
   else if (!trix5up && !trix15up && !trix60up) {
      if (!alerted) {
         sSubject = "Sell for " + Symbol();
         alerted = true;
         if (_alert)
            Alert("Sell for " + Symbol());
         if (_email)
            SendMail(sSubject,sText);
      }
   }
//No signal
   else {
      alerted = false;
   }
   
//----
   return(0);
  }
//+------------------------------------------------------------------+